Bug 4706 - Intel gma 3650 (atom n2600) did not work properly (Videoplay, 3D)
: Intel gma 3650 (atom n2600) did not work properly (Videoplay, 3D)
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: i586 Linux
: Normal normal
: ---
Assigned To: Eugene Shatokhin
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 18:56 MSK by Tomas
Modified: 2015-03-11 11:58 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
eugene.shatokhin: need_info? (tomas.escher)


Attachments

Note You need to log in before you can comment on or make changes to this bug.

ROSA team tools

Description Tomas 2014-11-20 18:56:09 MSK
I have an Toshiba NB520-11P netbook, with an Intel Atom n2600 4core processor and an intel gma 3650 videocard.

After installation with Fresh 2014.1 i have very poor and horrible slow graphicacceleration on the Desktop. It is only possible to use the fbdev driver (gma500) without hardwareacceleration and 3d. Its impossible to show videos or play games such as supertux.


As I know for this videocard exists an driver named cedarview/cedartrail is there something around on rosalinux, maybe on an earlier version?

best regards,
tomas
Comment 1 Andrey Ponomarenko 2014-12-01 23:59:09 MSK
Could you please upload the probe of your hardware devices to our database, so that we can debug the problem properly:

$> su
$> hw-probe -all -upload -id PC_NAME

where PC_NAME - any name of your PC.

More info: http://wiki.rosalab.ru/en/index.php/Blog:ROSA_Planet/ROSA_Hardware_DB

Thank you!
Comment 2 Tomas 2014-12-02 05:13:38 MSK
Hello Andrey,

thank you for your answer.

I do this on my netbook:


[root@tomas-NB2 ~]# hw-probe -all -upload -id tomas-NB2
Probe for hardware ... Ok
Reading logs ... Ok
Uploaded to DB, Thank you!
Probe URL: http://hw.rosalinux.ru/index.php?probe=929fa8282d

I hope this could help you to find the problem.

Заранее благодарю, 

Томаш
Comment 3 Eugene Shatokhin 2014-12-02 17:33:01 MSK
Please try the following:

1. Remove /etc/X11/xorg.conf.

2. Remove 'nomodeset' from /etc/default/grub (look for GRUB_CMDLINE_LINUX_DEFAULT there), then run update-grub2 as root.

3. Boot the system with one of our officially supported kernels, 3.14.25-nrj-desktop-pae or 3.14.25-nrj-laptop-pae are preferable. This is not strictly necessary but recommended.

4. When the system boots (even if the graphics fails to start), please upload the data to us with hw-probe again. It is needed to see how the system behaves then, which graphics driver it tries to load, etc.

That driver (cedarview-drm a.k.a. cdv-gfx) you mentioned seems to be abandoned by Intel since mid-2012. This one https://github.com/thomas001/cedarview-drm does not build for 3.14 either.

gma500_gfx kernel driver (included in the standard kernel) and x11-driver-video-modesetting driver for X11 should do the job for your hardware now but I cannot say yet, how well.

You can also try to do as they suggest in Arch wiki (https://wiki.archlinux.org/index.php/Intel_GMA3600): create /etc/X11/xorg.conf.d/20-gpudriver.conf (as root) containing the following:

Section "Device"
    Identifier "Intel GMA3600"
    Driver     "modesetting"
EndSection

Then reboot, see what happens and use hw-probe to upload the logs to us.

If gma500_gfx does not support what you need, then, unfortunately, there is little we can do at the moment.
Comment 4 Tomas 2014-12-03 22:31:42 MSK
Hello Eugene,

thank's for your help!

I've done all these steps without success.
So I use hw-probe to upload the logs once again.

By stressing googlesearch a little bit, I found an other website, on that are newer drivers for my graphiccard, but I'm not a programmer - maybe it's also interesting for rosa-linux itself...

Best regards,

Tomas
Comment 5 Tomas 2014-12-03 22:32:47 MSK
The Website ist: https://www.yoctoproject.org/downloads/bsps/danny13/cedar-trail-0
Comment 6 Eugene Shatokhin 2014-12-15 17:01:58 MSK
(In reply to comment #5)
> The Website ist:
> https://www.yoctoproject.org/downloads/bsps/danny13/cedar-trail-0

Well, as far as I can see, they had the user-space components (xorg driver) for such video cards, not sure about the kernel driver.

Unfortunately, the links to the sources they use finally lead to Meego project, which is now dead, and the links are broken.

I will take a look though, perhaps we can still get something useful out of Meego (or may be find it in Tizen) or still in Yocto itself.
Comment 7 Eugene Shatokhin 2014-12-16 13:05:03 MSK
Meanwhile, the data you sent us suggest that the proprietary driver for AMD/ATI cards (fglrx) is installed on your system. 

Please remove it. This hardware does not need it and the presense of some components of fglrx may affect other drivers and graphics libraries.

As root:
urpme `rpm -qa | grep fglrx`

This does not solve the original problem but makes trying possible solutions easier.
Comment 8 Eugene Shatokhin 2014-12-16 13:10:40 MSK
Please also remove 'nomodeset' boot option, it is also not needed on your system as long as you use the free graphics drivers. 

Remove 'nomodeset' from /etc/default/grub (as root), run update-grub2 and then reboot. See how the system works with gma500_gfx this time.
Comment 9 Eugene Shatokhin 2014-12-17 22:16:15 MSK
Well, I dug into the projects mentioned above - it seems, most of them use the same drivers for CedarView/PowerVR as the old Ubuntu (12.x) did.

Unfortunately, it is too hard to use these in ROSA R4/R5, details are below.
---------------

Basically, two groups of components were needed:
* the kernel module, 'cedarview_gfx' and modified versions of some other kernel modules;
* the X11 driver (library), 'pvr', and its prerequisites.

The kernel modules are opensource and I managed to adapt them to our official 3.14 kernel this week.

However, the X11 driver 'pvr' is a binary and that binary was built for Xorg 1.11, while we have 1.15. The interface for such drivers has changed a lot between these versions.

So our X server just rejects 'pvr' driver when it starts. And because that driver (library) is a binary, I cannot adapt it to a newer Xorg. Downgrading Xorg is no easy task either: some other system components may malfunction as a result.

Looks like we are out of luck here. 
---------------

Still, things might be closer to normal even with gma500_gfx when you remove fglrx packages and remove 'nomodeset' boot option like I said above.

After that, perhaps, that trick with "/etc/X11/xorg.conf.d/20-gpudriver.conf" from Arch Wiki I mentioned earlier (https://wiki.archlinux.org/index.php/Intel_GMA3600) could also help.

Please let us know of the results.
Comment 10 Tomas 2014-12-19 04:04:13 MSK
Hello Eugene,

thank's again for your help!

I've already removed the 'nomodeset' boot option, and create the /etc/X11/xorg.conf.d/20-gpudriver.conf, but without success. 

The fglrx-driver was only for a test, on that I put this harddrive on my other toshiba netbook which has amd processor and graphiccard.

I found a linux based on the arch-linux system which is made for run on Systems with the intel gma3600: http://bluestarlinux.org/ maybe they have find a way to run it on the actual Xorg.

Best regards,

Tomas
Comment 11 Eugene Shatokhin 2014-12-19 11:26:12 MSK
(In reply to comment #10)
> I've already removed the 'nomodeset' boot option, and create the
> /etc/X11/xorg.conf.d/20-gpudriver.conf, but without success. 

Could you run hw-probe again now, for us to see what has changed at the system level?

> I found a linux based on the arch-linux system which is made for run on
> Systems with the intel gma3600: http://bluestarlinux.org/ maybe they have
> find a way to run it on the actual Xorg.

What I see there is they talk about installing and setting the preferable screen resolution on sych systems, nothing about hardware accel. or 3D. 

Still, they provide bootable ISO images - could you write such image to a USB stick (rosa-imagewriter may help) and try ot it Live mode, i.e. without installing, on your netbook. See how it works. 

If it does deliver the performance you need, we might adapt the components of ROSA in a similar way.
Comment 12 Andrey Ponomarenko 2015-01-06 11:39:36 MSK
We have two notebooks with the same graphics card in the laboratory:

ASUS EeePC 1025CE: http://hw.rosalinux.ru/index.php?probe=b297c5114c
Intel classmate PC (PVT Sample): http://hw.rosalinux.ru/index.php?probe=a5db37ded8
Comment 13 Eugene Shatokhin 2015-03-11 11:58:11 MSK
OK, it seems there is no way to make 3D work in the recent Linuxes for PowerVR/GMA3600. Closing for now.